<section id="vehicle-info">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
                <a [routerLink]="['/side-menu',{outlets:{sidebar:'vehicleInfo'}}]">Vehicle ></a>
            </li>
            <li class="">
                update vehicle Details

            </li>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="card">
                    <div class="card-header">
                        Update Vehicle Details
                        
                    </div>
                  
                    <div class="card-body">
                        <form [formGroup]="updateproductForm" (ngSubmit)="onSubmit()">
                            <input type="text" formControlName="id" class="form-control">
                            <div>
                                <p>
                                    <label for="name">Vehicle Type:</label>
                                    <input type="text" id="vehicleType" name="vehicleType" formControlName="vehicleType"
                                        class="form-control"
                                        [ngClass]="{ 'is-invalid': submitted &amp;&amp; updateproductForm.controls.vehicleType.errors }"
                                        required>
                                </p>
                                <div *ngIf="submitted &amp;&amp; updateproductForm.controls.vehicleType.errors"
                                    class="text-danger">
                                    <div *ngIf="updateproductForm.controls.vehicleType.errors.required"
                                        class="text-danger">VehicleType is required</div>

                                </div>
                            </div>
                            <p>
                                <label for="name">Image:</label> <br>

                                <img [src]="this.image" alt="" height="75" width="75">
                                <input type="file" id="" name="vehicleimageData"  (change)="handleEvent($event)"
                                    class="form-control" >

                            </p>

                            <table class="table table-bordered" formArrayName="vehicledetails">
                                <tr>
                                    <th colspan="6">Add Multiple Models Data Of Vehicle:</th>
                                    <th width="150px"><button type="button" (click)="addVehicle()"
                                            class="btn btn-primary">Add More</button></th>
                                </tr>
                                <tr *ngFor="let quantity of vehicledetails().controls; let i=index" [formGroupName]="i">
                                    <td>
                                        vehicle Brand :
                                        <input type="text" formControlName="vehicleBrand" class="form-control" required>
                                    </td>
                                    <td>
                                        Seats:
                                        <input type="number" formControlName="seats" class="form-control" required>
                                    </td>
                                    <td>
                                        Km/ltr:
                                        <input type="number" formControlName="kmperLtr" class="form-control" required>
                                    </td>
                                    <td>
                                        <div formArrayName="uploads">
                                            <div>
                                            <label class="custom-file-upload">
                                                <input type="file" class="file" multiple
                                                    (change)="selectEvent($event,i)" accept="images2">

                                            </label>


                                            <div *ngIf="isDataAvailable"><img [src]="imagesArray[i].brandlogo" alt="" ></div>
                                        </div>
                                        </div>
                                    </td>
                                    <td>
                                        <div>
                                            <button class="btn btn-primary" type="button" (click)='addColours(i)'>
                                                Add Colours
                                            </button>
                                        </div>
                                        <div formArrayName='colours'>
                                            <div *ngFor='let x of coloursDetails(i).controls; index as j'>

                                                <label for="skill">Colours {{j+1}}</label>
                                                <input type="text" name="color" class="form-control"
                                                    [formControlName]="j"> <br>
                                                <button class="btn btn-outline-dark"
                                                    (click)='removeColour(i,j)'>Remove</button>

                                            </div>
                                        </div>
                                    </td>
                                    <td>
                                        <div>
                                            <button class="btn btn-primary" type="button" (click)='addFuel(i)'>
                                                Add FuelTypes
                                            </button>
                                        </div>
                                        <div formArrayName='fuelType'>
                                            <div *ngFor='let x of fuelDetails(i).controls; index as k'>

                                                <label for="skill">Fuel {{k+1}}</label>
                                                <input type="text" name="color" class="form-control"
                                                    [formControlName]="k"> <br>

                                                <button class="btn btn-outline-dark"
                                                    (click)='removeFuel(i,k)'>Remove</button>

                                            </div>
                                        </div>
                                    </td>
                                    <td>
                                        <button (click)="removeVehicle(i)" class="btn btn-danger">Remove</button>
                                    </td>

                                </tr>


                            </table>
                         
                            <div>
                                Number of seats for traveller:
                                <input type="text" class="form-control" name="noOfSeats" formControlName="noOfSeats">
                            </div> <br>
                            <button type="submit" class="btn btn-success">Submit</button>

                        </form>
                    </div>
                   
                </div>



            </div>
        </div>
    </div>

</section>





